/* HEADER */
header {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 340px;
    background: var(--white);
    z-index: 10;
    padding: 0 45px;
}

header .inner::-webkit-scrollbar {
    display: none;
}

header .inner {
    width: 100%;
    height: 100%;
    overflow-y: scroll;
}

header .logo {
    margin-bottom: 35px;
    margin-top: 40px;
    z-index: 2;
}

header .logo a:hover {
    opacity: 0.6;
}

header .logo svg {
    width: auto;
    height: 84px;
}

header .inner-header {
    width: 100%;
    height: 100%;
    max-height: calc(100% - 165px);
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
}

header .navigation {
    width: 100%;
}

header nav.main {
    margin-bottom: 45px;
}

header nav.main ul li:not(:last-child) {
    margin-bottom: 40px;
}

header nav.secondary ul li {
    margin-bottom: 27px;
}

header nav.terciary ul {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

header nav.terciary ul li {
    position: relative;
}

header nav.terciary ul li:not(:last-child) {
    padding-right: 10px;
    margin-right: 8px;
}

header nav.terciary ul li:not(:last-child):after {
    content: "";
    display: block;
    position: absolute;
    right: 0;
    top: 0;
    width: 2px;
    height: 100%;
    background: var(--black);
}

header .header-footer {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 20px;
    margin-top: 35px;
    padding-bottom: 40px;
}

header .header-footer svg {
    height: 45px;
    width: auto;
}

#hamburger {
    display: none;
}

/* RESPONSIVE */
@media only screen and (max-width: 1360px) {
    header {
        width: 300px;
        padding: 0 27px;
    }
}

@media only screen and (max-width: 1150px) {
    header {
        height: 100%;
        width: 100%;
        pointer-events: none;
        padding: 0;
        background: transparent;
    }

    header:before {
        content: "";
        display: block;
        position: absolute;
        z-index: -1;
        top: 0;
        left: 0;
        width: 100%;
        height: 100px;
        background-color: var(--white);
    }

    header .inner {
        overflow-y: auto;
        pointer-events: none;
    }

    header .logo {
        pointer-events: visible;
        position: absolute;
        top: 20px;
        left: 50%;
        -webkit-transform: translate3d(-50%, 0, 0);
        transform: translate3d(-50%, 0, 0);
        margin: 0;
    }

    header .logo svg {
        width: 80px;
        height: auto;
        display: block;
    }

    header .inner-header::-webkit-scrollbar {
        display: none;
    }

    header .inner-header {
        -webkit-transform: translate3d(-100%, 0, 0);
        transform: translate3d(-100%, 0, 0);
        transition: transform 0.35s ease;
        transition: transform 0.35s ease;
        position: absolute;
        top: 0;
        left: 0;
        pointer-events: none;
        width: 300px;
        height: 100%;
        max-height: 100%;
        padding: 170px 27px 45px;
        background-color: var(--white);
        overflow-y: scroll;
    }

    body.menu-opened header .inner-header {
        -webkit-transform: translate3d(0, 0, 0);
        transform: translate3d(0, 0, 0);
        pointer-events: visible;
    }

    header .header-footer {
        padding-bottom: 0;
    }

    #hamburger {
        display: block;
        width: 34px;
        height: 34px;
        overflow: hidden;
        transition-delay: 0s;
        padding: 0;
        cursor: pointer;
        border: none;
        background: transparent;
        position: absolute;
        left: 30px;
        top: 34px;
        pointer-events: visible;
    }

    .toggleMenu span.middle,
    .toggleMenu span.top,
    .toggleMenu span.bottom {
        position: absolute;
    }

    .toggleMenu span {
        width: 34px;
        height: 4px;
        background-color: var(--black);
        display: block;
        left: 0;
        transition: all 0.4s ease;
        -webkit-transition: all 0.4s ease;
        border-radius: 2px;
    }

    .toggleMenu span.middle {
        top: 15px;
    }

    .toggleMenu span.top {
        top: 7px;
    }

    .toggleMenu span.bottom {
        bottom: 7px;
    }

    .menu-opened .toggleMenu span {
        -webkit-transition-delay: 0.1s;
        transition-delay: 0.1s;
        transform: translateX(100%);
    }

    .menu-opened .toggleMenu span.top {
        top: 16px;
        -webkit-transform: rotate(45deg);
        -webkit-transition-delay: 0, 0.1s;
        transform: rotate(45deg);
        transition-delay: 0, 0.1s;
    }

    .menu-opened .toggleMenu span.bottom {
        bottom: 15px;
        -webkit-transform: rotate(-45deg);
        -webkit-transition-delay: 0, 0.1s;
        transform: rotate(-45deg);
        transition-delay: 0, 0.1s;
    }
}

@media only screen and (max-width: 550px) {
    header .inner-header {
        width: 100%;
        padding: 160px 30px 44px;
    }

    header nav.main {
        margin-bottom: 38px;
    }

    header nav.main ul li:not(:last-child) {
        margin-bottom: 32px;
    }

    header nav.secondary ul li {
        margin-bottom: 20px;
    }
}
